Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolFileMethodAddress.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>
              com.nativelibs4java.mono.MonoSymbolFileMethodAddress
                  com.nativelibs4java.mono.MonoSymbolFileMethodAddress.ByReference

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByReference, java.lang.Comparable<Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>>

Enclosing class:
  MonoSymbolFileMethodAddress

    public static class MonoSymbolFileMethodAddress.ByReference

extends MonoSymbolFileMethodAddress
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoSymbolFileMethodAddress
`MonoSymbolFileMethodAddress.ByReference, MonoSymbolFileMethodAddress.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoSymbolFileMethodAddress
`data, end_address, has_this, line_number_offset, method_end_address, method_start_address, num_line_numbers, num_params, size, start_address, type_table_offset, variable_table_offset, wrapper_address`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolFileMethodAddress.ByReference()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoSymbolFileMethodAddress
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoSymbolFileMethodAddress.ByReference

    public MonoSymbolFileMethodAddress.ByReference()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD